SDL_HINT_APP_NAME(3)

NAME
SDL_HINT_APP_NAME - Specify an application name.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_APP_NAME SDL_APP_NAME"

DESCRIPTION
This hint lets you specify the application name sent to the OS when required. For example, this will often appear in volume control applets for audio streams, and in lists of applications which are inhibiting the screensaver. You should use a string that describes your program ("My Game 2: The Revenge") Setting this to "" or leaving it unset will have SDL use a reasonable default: probably the application's name or "SDL Application" if SDL doesn't have any better information. Note that, for audio streams, this can be overridden with SDL_HINT_AUDIO_DEVICE_APP_NAME . This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.0.0.